﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using TwinCAT.Ads;
using TwinCAT.Scope2.Communications;
using TwinCAT.Scope2.View.ScopeViewControlLib;


namespace CS_Scope3
{
    class ChartCursor
    {
        public bool AddXCursor(ref ScopeViewControl SVC1, int ChartIndex)
        {
            bool bReturn = false;
            try
            {
                ScopeViewControlCursor newCursor = SVC1.Charts[ChartIndex].CursorModule.NewCursor(false);
                bReturn = true;
            }
            catch { }
            return bReturn;
        }
        public bool AddYCursor(ref ScopeViewControl SVC1, int ChartIndex)
        {
            bool bReturn = false;
            try
            {
                ScopeViewControlCursor newCursor = SVC1.Charts[ChartIndex].CursorModule.NewCursor(true);
                bReturn = true;
            }
            catch { }
            return bReturn;
        }
        public bool DeleteCursor(ref ScopeViewControl SVC1, int ChartIndex,int CursorIndex)
        {
            bool bReturn = false;
            try
            {
                SVC1.Charts[ChartIndex].CursorModule.DeleteCursor(SVC1.Charts[ChartIndex].CursorModule.Cursors[CursorIndex]);
                bReturn = true;
            }
            catch { }
            return bReturn;

        }

        public bool CursorRename(ref ScopeViewControl SVC1, int ChartIndex,int CursorIndex,string NewName)
        {
            bool bReturn = false;
            try
            {
                SVC1.Charts[ChartIndex].CursorModule.Cursors[CursorIndex].Style.Name = NewName;
               
                bReturn = true;
            }
            catch { }
            return bReturn;
        }
    }
}
